// @ts-ignore

/* eslint-disable */
import { request } from 'umi';

export default {
  /** 获取活动记录信息  sdsa GET /kitchen/api/rule */
  activityRecordList(data) {
    return request(`/kitchen/api/activity-participation-record/activity-record`, {
      method: 'POST',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /** 新建活动记录信息 POST /kitchen/api/rule */
  addActivityRecord(data) {
    // http://localhost:7002
    return request(`/kitchen/api/goods`, {
      method: 'POST',
      // type:'json',
      data: data,
      // ...(options || {}),
    });
  },
  /** 修改活动记录信息 POST /kitchen/api/rule */
  updateActivityRecord(data) {
    // http://localhost:7002
    return request(`/kitchen/api/goods`, {
      method: 'POST',
      // type:'json',
      data: data,
      // ...(options || {}),
    });
  },
  /** 删除活动记录信息 POST /kitchen/api/rule */
  removeActivityRecord(data) {
    return request(`/kitchen/api/goods`, {
      method: 'DELETE',
      data: data,
      // ...(options || {}),
    });
  },
  /** 删除单个活动记录信息 DELETE /kitchen/api/rule */
  removeSingleActivityRecord(id) {
    return request(`/kitchen/api/franchisee/${id}`, {
      method: 'DELETE',
      // data: data,
      // ...(options || {}),
    });
  },
  /** 获取活动信息 DELETE /kitchen/api/rule */
  GetActivityInfo() {
    return request(`/kitchen/api/select/activity`, {
      method: 'get',
      // params: { ...params },
      // ...(options || {}),
    });
  },
};
